diff --git a/testing/mozharness/mozprocess/processhandler.py b/testing/mozharness/mozprocess/processhandler.py
index b89e17eb03..71c0d73592 100644
--- a/testing/mozharness/mozprocess/processhandler.py
+++ b/testing/mozharness/mozprocess/processhandler.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
 import select
 import signal
@@ -10,7 +11,7 @@ import sys
 import threading
 import time
 import traceback
-from Queue import Queue
+from queue import Queue
 from datetime import datetime, timedelta
 __all__ = ['ProcessHandlerMixin', 'ProcessHandler']
 
@@ -24,8 +25,8 @@ isPosix = os.name == "posix" # includes MacOS X
 if isWin:
     import ctypes, ctypes.wintypes, msvcrt
     from ctypes import sizeof, addressof, c_ulong, byref, POINTER, WinError, c_longlong
-    import winprocess
-    from qijo import JobObjectAssociateCompletionPortInformation,\
+    from . import winprocess
+    from .qijo import JobObjectAssociateCompletionPortInformation,\
     JOBOBJECT_ASSOCIATE_COMPLETION_PORT, JobObjectExtendedLimitInformation,\
     JOBOBJECT_BASIC_LIMIT_INFORMATION, JOBOBJECT_EXTENDED_LIMIT_INFORMATION, IO_COUNTERS
 
@@ -94,17 +95,17 @@ class ProcessHandlerMixin(object):
                                           preexec_fn, close_fds,
                                           shell, cwd, env,
                                           universal_newlines, startupinfo, creationflags)
-            except OSError, e:
-                print >> sys.stderr, args
+            except OSError as e:
+                print(args, file=sys.stderr)
                 raise
 
-        def __del__(self, _maxint=sys.maxint):
+        def __del__(self, _maxint=sys.maxsize):
             if isWin:
                 if self._handle:
                     if hasattr(self, '_internal_poll'):
                         self._internal_poll(_deadstate=_maxint)
                     else:
-                        self.poll(_deadstate=sys.maxint)
+                        self.poll(_deadstate=sys.maxsize)
                 if self._handle or self._job or self._io_port:
                     self._cleanup()
             else:
@@ -131,10 +132,10 @@ class ProcessHandlerMixin(object):
                 if not self._ignore_children:
                     try:
                         os.killpg(self.pid, sig)
-                    except BaseException, e:
+                    except BaseException as e:
                         if getattr(e, "errno", None) != 3:
                             # Error 3 is "no such process", which is ok
-                            print >> sys.stdout, "Could not kill process, could not find pid: %s, assuming it's already dead" % self.pid
+                            print("Could not kill process, could not find pid: %s, assuming it's already dead" % self.pid, file=sys.stdout)
                 else:
                     os.kill(self.pid, sig)
                 self.returncode = -sig
@@ -174,7 +175,7 @@ class ProcessHandlerMixin(object):
                      p2cread, p2cwrite,
                      c2pread, c2pwrite,
                      errread, errwrite) = args_tuple
-                if not isinstance(args, basestring):
+                if not isinstance(args, str):
                     args = subprocess.list2cmdline(args)
 
                 # Always or in the create new process group
@@ -201,7 +202,7 @@ class ProcessHandlerMixin(object):
                 if not canCreateJob and not self._ignore_children:
                     # We can't create job objects AND the user wanted us to
                     # Warn the user about this.
-                    print >> sys.stderr, "ProcessManager UNABLE to use job objects to manage child processes"
+                    print("ProcessManager UNABLE to use job objects to manage child processes", file=sys.stderr)
 
                 # set process creation flags
                 creationflags |= winprocess.CREATE_SUSPENDED
@@ -211,7 +212,7 @@ class ProcessHandlerMixin(object):
                 else:
                     # Since we've warned, we just log info here to inform you
                     # of the consequence of setting ignore_children = True
-                    print "ProcessManager NOT managing child processes"
+                    print("ProcessManager NOT managing child processes")
 
                 # create the process
                 hp, ht, pid, tid = winprocess.CreateProcess(
@@ -283,10 +284,10 @@ class ProcessHandlerMixin(object):
                         # Spin up our thread for managing the IO Completion Port
                         self._procmgrthread = threading.Thread(target = self._procmgr)
                     except:
-                        print >> sys.stderr, """Exception trying to use job objects;
-falling back to not using job objects for managing child processes"""
+                        print("""Exception trying to use job objects;
+falling back to not using job objects for managing child processes""", file=sys.stderr)
                         tb = traceback.format_exc()
-                        print >> sys.stderr, tb
+                        print(tb, file=sys.stderr)
                         # Ensure no dangling handles left behind
                         self._cleanup_job_io_port()
                 else:
@@ -318,7 +319,7 @@ falling back to not using job objects for managing child processes"""
                 countdowntokill = 0
 
                 if MOZPROCESS_DEBUG:
-                    print "DBG::MOZPROC Self.pid value is: %s" % self.pid
+                    print("DBG::MOZPROC Self.pid value is: %s" % self.pid)
 
                 while True:
                     msgid = c_ulong(0)
@@ -340,9 +341,9 @@ falling back to not using job objects for managing child processes"""
                         # don't want to mistake that situation for the situation of an unexpected
                         # parent abort (which is what we're looking for here).
                         if diff.seconds > self.MAX_IOCOMPLETION_PORT_NOTIFICATION_DELAY:
-                            print >> sys.stderr, "Parent process %s exited with children alive:" % self.pid
-                            print >> sys.stderr, "PIDS: %s" %  ', '.join([str(i) for i in self._spawned_procs])
-                            print >> sys.stderr, "Attempting to kill them..."
+                            print("Parent process %s exited with children alive:" % self.pid, file=sys.stderr)
+                            print("PIDS: %s" %  ', '.join([str(i) for i in self._spawned_procs]), file=sys.stderr)
+                            print("Attempting to kill them...", file=sys.stderr)
                             self.kill()
                             self._process_events.put({self.pid: 'FINISHED'})
 
@@ -351,19 +352,19 @@ falling back to not using job objects for managing child processes"""
                         errcode = winprocess.GetLastError()
                         if errcode == winprocess.ERROR_ABANDONED_WAIT_0:
                             # Then something has killed the port, break the loop
-                            print >> sys.stderr, "IO Completion Port unexpectedly closed"
+                            print("IO Completion Port unexpectedly closed", file=sys.stderr)
                             break
                         elif errcode == winprocess.WAIT_TIMEOUT:
                             # Timeouts are expected, just keep on polling
                             continue
                         else:
-                            print >> sys.stderr, "Error Code %s trying to query IO Completion Port, exiting" % errcode
+                            print("Error Code %s trying to query IO Completion Port, exiting" % errcode, file=sys.stderr)
                             raise WinError(errcode)
                             break
 
                     if compkey.value == winprocess.COMPKEY_TERMINATE.value:
                         if MOZPROCESS_DEBUG:
-                            print "DBG::MOZPROC compkeyterminate detected"
+                            print("DBG::MOZPROC compkeyterminate detected")
                         # Then we're done
                         break
 
@@ -373,7 +374,7 @@ falling back to not using job objects for managing child processes"""
                             # No processes left, time to shut down
                             # Signal anyone waiting on us that it is safe to shut down
                             if MOZPROCESS_DEBUG:
-                                print "DBG::MOZPROC job object msg active processes zero"
+                                print("DBG::MOZPROC job object msg active processes zero")
                             self._process_events.put({self.pid: 'FINISHED'})
                             break
                         elif msgid.value == winprocess.JOB_OBJECT_MSG_NEW_PROCESS:
@@ -383,10 +384,10 @@ falling back to not using job objects for managing child processes"""
                             if pid.value != self.pid:
                                 self._spawned_procs[pid.value] = 1
                                 if MOZPROCESS_DEBUG:
-                                    print "DBG::MOZPROC new process detected with pid value: %s" % pid.value
+                                    print("DBG::MOZPROC new process detected with pid value: %s" % pid.value)
                         elif msgid.value == winprocess.JOB_OBJECT_MSG_EXIT_PROCESS:
                             if MOZPROCESS_DEBUG:
-                                print "DBG::MOZPROC process id %s exited normally" % pid.value
+                                print("DBG::MOZPROC process id %s exited normally" % pid.value)
                             # One process exited normally
                             if pid.value == self.pid and len(self._spawned_procs) > 0:
                                 # Parent process dying, start countdown timer
@@ -397,7 +398,7 @@ falling back to not using job objects for managing child processes"""
                         elif msgid.value == winprocess.JOB_OBJECT_MSG_ABNORMAL_EXIT_PROCESS:
                             # One process existed abnormally
                             if MOZPROCESS_DEBUG:
-                                print "DBG::MOZPROC process id %s existed abnormally" % pid.value
+                                print("DBG::MOZPROC process id %s existed abnormally" % pid.value)
                             if pid.value == self.pid and len(self._spawned_procs) > 0:
                                 # Parent process dying, start countdown timer
                                 countdowntokill = datetime.now()
@@ -407,7 +408,7 @@ falling back to not using job objects for managing child processes"""
                         else:
                             # We don't care about anything else
                             if MOZPROCESS_DEBUG:
-                                print "DBG::MOZPROC We got a message %s" % msgid.value
+                                print("DBG::MOZPROC We got a message %s" % msgid.value)
                             pass
 
             def _wait(self):
@@ -457,7 +458,7 @@ falling back to not using job objects for managing child processes"""
                     # is call waitforsingleobject and hope for the best
 
                     if MOZPROCESS_DEBUG and not self._ignore_children:
-                        print "DBG::MOZPROC NOT USING JOB OBJECTS!!!"
+                        print("DBG::MOZPROC NOT USING JOB OBJECTS!!!")
                     # First, make sure we have not already ended
                     if self.returncode != winprocess.STILL_ACTIVE:
                         self._cleanup()
@@ -469,11 +470,11 @@ falling back to not using job objects for managing child processes"""
 
                     if rc == winprocess.WAIT_TIMEOUT:
                         # The process isn't dead, so kill it
-                        print "Timed out waiting for process to close, attempting TerminateProcess"
+                        print("Timed out waiting for process to close, attempting TerminateProcess")
                         self.kill()
                     elif rc == winprocess.WAIT_OBJECT_0:
                         # We caught WAIT_OBJECT_0, which indicates all is well
-                        print "Single process terminated successfully"
+                        print("Single process terminated successfully")
                         self.returncode = winprocess.GetExitCodeProcess(self._handle)
                     else:
                         # An error occured we should probably throw
@@ -546,11 +547,11 @@ falling back to not using job objects for managing child processes"""
                         if status > 255:
                             return status >> 8
                         return -status
-                    except OSError, e:
+                    except OSError as e:
                         if getattr(e, "errno", None) != 10:
                             # Error 10 is "no child process", which could indicate normal
                             # close
-                            print >> sys.stderr, "Encountered error waiting for pid to close: %s" % e
+                            print("Encountered error waiting for pid to close: %s" % e, file=sys.stderr)
                             raise
                         return 0
 
@@ -564,7 +565,7 @@ falling back to not using job objects for managing child processes"""
 
         else:
             # An unrecognized platform, we will call the base class for everything
-            print >> sys.stderr, "Unrecognized platform, process groups may not be managed properly"
+            print("Unrecognized platform, process groups may not be managed properly", file=sys.stderr)
 
             def _wait(self):
                 self.returncode = subprocess.Popen.wait(self)
@@ -672,7 +673,7 @@ falling back to not using job objects for managing child processes"""
         except AttributeError:
             # Try to print a relevant error message.
             if not self.proc:
-                print >> sys.stderr, "Unable to kill Process because call to ProcessHandler constructor failed."
+                print("Unable to kill Process because call to ProcessHandler constructor failed.", file=sys.stderr)
             else:
                 raise
 
@@ -782,8 +783,8 @@ falling back to not using job objects for managing child processes"""
 
     # TODO Remove this method when consumers have been fixed
     def waitForFinish(self, timeout=None):
-        print >> sys.stderr, "MOZPROCESS WARNING: ProcessHandler.waitForFinish() is deprecated, " \
-                             "use ProcessHandler.wait() instead"
+        print("MOZPROCESS WARNING: ProcessHandler.waitForFinish() is deprecated, " \
+                             "use ProcessHandler.wait() instead", file=sys.stderr)
         return self.wait(timeout=timeout)
 
 
@@ -855,7 +856,7 @@ falling back to not using job objects for managing child processes"""
 ### these should be callables that take the output line
 
 def print_output(line):
-    print line
+    print(line)
 
 class StoreOutput(object):
     """accumulate stdout"""
@@ -875,7 +876,7 @@ class LogOutput(object):
 
     def __call__(self, line):
         if self.file is None:
-            self.file = file(self.filename, 'a')
+            self.file = open(self.filename, 'a')
         self.file.write(line + '\n')
         self.file.flush()
 
diff --git a/testing/mozharness/mozprocess/qijo.py b/testing/mozharness/mozprocess/qijo.py
index 1ac88430ce..1da1cfcee5 100644
--- a/testing/mozharness/mozprocess/qijo.py
+++ b/testing/mozharness/mozprocess/qijo.py
@@ -77,7 +77,7 @@ class JobObjectInfo(object):
                    9: JOBOBJECT_EXTENDED_LIMIT_INFORMATION
                    }
     def __init__(self, _class):
-        if isinstance(_class, basestring):
+        if isinstance(_class, str):
             assert _class in self.mapping, 'Class should be one of %s; you gave %s' % (self.mapping, _class)
             _class = self.mapping[_class]
         assert _class in self.structures, 'Class should be one of %s; you gave %s' % (self.structures, _class)
diff --git a/testing/mozharness/mozprocess/winprocess.py b/testing/mozharness/mozprocess/winprocess.py
index 6f3afc8de3..68a539216e 100644
--- a/testing/mozharness/mozprocess/winprocess.py
+++ b/testing/mozharness/mozprocess/winprocess.py
@@ -34,9 +34,10 @@
 # NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 # WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 
+from __future__ import print_function
 from ctypes import c_void_p, POINTER, sizeof, Structure, Union, windll, WinError, WINFUNCTYPE, c_ulong
 from ctypes.wintypes import BOOL, BYTE, DWORD, HANDLE, LPCWSTR, LPWSTR, UINT, WORD, ULONG
-from qijo import QueryInformationJobObject
+from .qijo import QueryInformationJobObject
 
 LPVOID = c_void_p
 LPBYTE = POINTER(BYTE)
@@ -140,7 +141,7 @@ class EnvironmentBlock:
             self._as_parameter_ = None
         else:
             values = ["%s=%s" % (key, value)
-                      for (key, value) in dict.iteritems()]
+                      for (key, value) in dict.items()]
             values.append("")
             self._as_parameter_ = LPCWSTR("\0".join(values))
 
@@ -426,32 +427,32 @@ def CanCreateJobObject():
 ### testing functions
 
 def parent():
-    print 'Starting parent'
+    print('Starting parent')
     currentProc = GetCurrentProcess()
     if IsProcessInJob(currentProc):
-        print >> sys.stderr, "You should not be in a job object to test"
+        print("You should not be in a job object to test", file=sys.stderr)
         sys.exit(1)
     assert CanCreateJobObject()
-    print 'File: %s' % __file__
+    print('File: %s' % __file__)
     command = [sys.executable, __file__, '-child']
-    print 'Running command: %s' % command
+    print('Running command: %s' % command)
     process = Popen(command)
     process.kill()
     code = process.returncode
-    print 'Child code: %s' % code
+    print('Child code: %s' % code)
     assert code == 127
         
 def child():
-    print 'Starting child'
+    print('Starting child')
     currentProc = GetCurrentProcess()
     injob = IsProcessInJob(currentProc)
-    print "Is in a job?: %s" % injob
+    print("Is in a job?: %s" % injob)
     can_create = CanCreateJobObject()
-    print 'Can create job?: %s' % can_create
+    print('Can create job?: %s' % can_create)
     process = Popen('c:\\windows\\notepad.exe')
     assert process._job
     jobinfo = QueryInformationJobObject(process._job, 'JobObjectExtendedLimitInformation')
-    print 'Job info: %s' % jobinfo
+    print('Job info: %s' % jobinfo)
     limitflags = jobinfo['BasicLimitInformation']['LimitFlags']
-    print 'LimitFlags: %s' % limitflags
+    print('LimitFlags: %s' % limitflags)
     process.kill()
diff --git a/testing/mozharness/scripts/android_emulator_unittest.py b/testing/mozharness/scripts/android_emulator_unittest.py
index 84c5447ed3..2f7a48bebc 100644
--- a/testing/mozharness/scripts/android_emulator_unittest.py
+++ b/testing/mozharness/scripts/android_emulator_unittest.py
@@ -298,7 +298,7 @@ class AndroidEmulatorTest(BlobUploadMixin, TestingMixin, EmulatorMixin, VCSMixin
                 telnet_ok = True
             else:
                 self.warning('Unable to connect to port %d' % port)
-        except socket.error, e:
+        except socket.error as e:
             self.info('Trying again after socket error: %s' % str(e))
             pass
         except EOFError:
@@ -398,7 +398,7 @@ class AndroidEmulatorTest(BlobUploadMixin, TestingMixin, EmulatorMixin, VCSMixin
             os.close(tmpfd)
             self.info("Taking screenshot with %s; saving to %s" % (utility, filename))
             subprocess.call([utility, filename], env=self.query_env())
-        except OSError, err:
+        except OSError as err:
             self.warning("Failed to take screenshot: %s" % err.strerror)
 
     def _query_package_name(self):
diff --git a/testing/mozharness/scripts/configtest.py b/testing/mozharness/scripts/configtest.py
index 5db684f0a7..baa15ed4c1 100755
--- a/testing/mozharness/scripts/configtest.py
+++ b/testing/mozharness/scripts/configtest.py
@@ -118,7 +118,7 @@ class ConfigTest(BaseScript):
                 global_dict = {}
                 local_dict = {}
                 try:
-                    execfile(config_file, global_dict, local_dict)
+                    exec(compile(open(config_file, "rb").read(), config_file, 'exec'), global_dict, local_dict)
                 except:
                     self.add_summary("%s is invalid python." % config_file,
                                      level="error")
diff --git a/testing/mozharness/scripts/desktop_l10n.py b/testing/mozharness/scripts/desktop_l10n.py
index 0626ce35b5..cbb7f6ba48 100755
--- a/testing/mozharness/scripts/desktop_l10n.py
+++ b/testing/mozharness/scripts/desktop_l10n.py
@@ -623,7 +623,7 @@ class DesktopSingleLocale(LocalesMixin, ReleaseMixin, MockMixin, BuildbotMixin,
 
         for repository in config['repos']:
             current_repo = {}
-            for key, value in repository.iteritems():
+            for key, value in repository.items():
                 try:
                     current_repo[key] = value % replace_dict
                 except TypeError:
@@ -1051,7 +1051,7 @@ class DesktopSingleLocale(LocalesMixin, ReleaseMixin, MockMixin, BuildbotMixin,
     def taskcluster_upload(self):
         auth = os.path.join(os.getcwd(), self.config['taskcluster_credentials_file'])
         credentials = {}
-        execfile(auth, credentials)
+        exec(compile(open(auth, "rb").read(), auth, 'exec'), credentials)
         client_id = credentials.get('taskcluster_clientId')
         access_token = credentials.get('taskcluster_accessToken')
         if not client_id or not access_token:
@@ -1095,7 +1095,7 @@ class DesktopSingleLocale(LocalesMixin, ReleaseMixin, MockMixin, BuildbotMixin,
             artifacts_task = artifacts_tc.get_task(artifacts_task_id)
             artifacts_tc.claim_task(artifacts_task)
 
-        for locale, files in self.upload_files.iteritems():
+        for locale, files in self.upload_files.items():
             self.info("Uploading files to S3 for locale '%s': %s" % (locale, files))
             routes = []
             for template in templates:
diff --git a/testing/mozharness/scripts/desktop_partner_repacks.py b/testing/mozharness/scripts/desktop_partner_repacks.py
index ff07dffc84..570675f811 100755
--- a/testing/mozharness/scripts/desktop_partner_repacks.py
+++ b/testing/mozharness/scripts/desktop_partner_repacks.py
@@ -162,7 +162,7 @@ class DesktopPartnerRepacks(ReleaseMixin, BuildbotMixin, PurgeMixin,
                                   error_level=FATAL)
         if not os.path.exists(repo):
             self.fatal("Unable to download repo tool.")
-        self.chmod(repo, 0755)
+        self.chmod(repo, 0o755)
         self.retry(self._repo_init,
                    args=(repo,),
                    error_level=FATAL,
diff --git a/testing/mozharness/scripts/desktop_unittest.py b/testing/mozharness/scripts/desktop_unittest.py
index b2e7545671..31bd3a808c 100755
--- a/testing/mozharness/scripts/desktop_unittest.py
+++ b/testing/mozharness/scripts/desktop_unittest.py
@@ -451,7 +451,7 @@ class DesktopUnittest(TestingMixin, MercurialScript, BlobUploadMixin, MozbaseMix
                 # suites gets a dict of everything from all_suites where a key
                 # is also in specified_suites
                 suites = dict((key, all_suites.get(key)) for key in
-                              specified_suites if key in all_suites.keys())
+                              specified_suites if key in list(all_suites.keys()))
         else:
             if c.get('run_all_suites'):  # needed if you dont specify any suites
                 suites = all_suites
diff --git a/testing/mozharness/scripts/firefox_ui_tests/update_release.py b/testing/mozharness/scripts/firefox_ui_tests/update_release.py
index f1ec816463..055dbbb749 100755
--- a/testing/mozharness/scripts/firefox_ui_tests/update_release.py
+++ b/testing/mozharness/scripts/firefox_ui_tests/update_release.py
@@ -10,7 +10,7 @@ import copy
 import os
 import pprint
 import sys
-import urllib
+import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
 
 # load modules from parent dir
 sys.path.insert(1, os.path.dirname(os.path.dirname(sys.path[0])))
@@ -239,7 +239,7 @@ class ReleaseFirefoxUIUpdateTests(FirefoxUIUpdateTests):
                 # Determine from where to download the file
                 installer_url = '{server}/{fragment}'.format(
                     server=rel_info['ftp_server_from'],
-                    fragment=urllib.quote(rel_info['from'].replace('%locale%', locale))
+                    fragment=six.moves.urllib.parse.quote(rel_info['from'].replace('%locale%', locale))
                 )
                 installer_path = self.download_file(
                     url=installer_url,
diff --git a/testing/mozharness/scripts/gaia_unit.py b/testing/mozharness/scripts/gaia_unit.py
index 660643b742..8eac51b64a 100755
--- a/testing/mozharness/scripts/gaia_unit.py
+++ b/testing/mozharness/scripts/gaia_unit.py
@@ -5,6 +5,7 @@
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 # ***** END LICENSE BLOCK *****
 
+from __future__ import print_function
 import os
 import sys
 import glob
@@ -68,7 +69,7 @@ class GaiaUnitTest(GaiaTest):
                     try:
                         disabled_tests = json.loads(m.read())
                     except:
-                        print "Error while decoding disabled.json; please make sure this file has valid JSON syntax."
+                        print("Error while decoding disabled.json; please make sure this file has valid JSON syntax.")
                         sys.exit(1)
 
                 # Construct a list of all tests
@@ -76,10 +77,10 @@ class GaiaUnitTest(GaiaTest):
                 for path in ('apps', 'tv_apps'):
                     test_root    = os.path.join(dirs['abs_gaia_dir'], path)
                     full_paths   = glob.glob(os.path.join(test_root, '*/test/unit/*_test.js'))
-                    unit_tests  += map(lambda x: os.path.relpath(x, test_root), full_paths)
+                    unit_tests  += [os.path.relpath(x, test_root) for x in full_paths]
 
                 # Remove the tests that are disabled
-                active_unit_tests = filter(lambda x: x not in disabled_tests, unit_tests)
+                active_unit_tests = [x for x in unit_tests if x not in disabled_tests]
 
                 # Chunk the list as requested
                 tests_to_run = subprocess.check_output(chunker + active_unit_tests).strip().split(' ')
diff --git a/testing/mozharness/scripts/merge_day/gecko_migration.py b/testing/mozharness/scripts/merge_day/gecko_migration.py
index 7208630e0f..7c178a97d4 100755
--- a/testing/mozharness/scripts/merge_day/gecko_migration.py
+++ b/testing/mozharness/scripts/merge_day/gecko_migration.py
@@ -531,7 +531,7 @@ class GeckoMigration(MercurialScript, BalrogMixin, VirtualenvMixin,
         revision = self.query_to_revision()
         # Horrible hack because our internal buildapi interface doesn't let us
         # actually do anything. Need to use the public one w/ auth.
-        username = raw_input("LDAP Username: ")
+        username = input("LDAP Username: ")
         password = getpass(prompt="LDAP Password: ")
         auth = (username, password)
         for builder in self.config["post_merge_builders"]:
diff --git a/testing/mozharness/scripts/mobile_l10n.py b/testing/mozharness/scripts/mobile_l10n.py
index cbac6fa678..048b4be1dd 100755
--- a/testing/mozharness/scripts/mobile_l10n.py
+++ b/testing/mozharness/scripts/mobile_l10n.py
@@ -510,7 +510,7 @@ class MobileSingleLocale(MockMixin, LocalesMixin, ReleaseMixin,
     def taskcluster_upload(self):
         auth = os.path.join(os.getcwd(), self.config['taskcluster_credentials_file'])
         credentials = {}
-        execfile(auth, credentials)
+        exec(compile(open(auth, "rb").read(), auth, 'exec'), credentials)
         client_id = credentials.get('taskcluster_clientId')
         access_token = credentials.get('taskcluster_accessToken')
         if not client_id or not access_token:
diff --git a/testing/mozharness/scripts/release/antivirus.py b/testing/mozharness/scripts/release/antivirus.py
index a28c3fd2f5..ebd95742e9 100644
--- a/testing/mozharness/scripts/release/antivirus.py
+++ b/testing/mozharness/scripts/release/antivirus.py
@@ -130,7 +130,7 @@ class AntivirusScan(BaseScript, VirtualenvMixin):
         from boto.s3.connection import S3Connection
         from boto.exception import S3CopyError, S3ResponseError
         from redo import retry
-        from httplib import HTTPException
+        from six.moves.http_client import HTTPException
 
         # suppress boto debug logging, it's too verbose with --loglevel=debug
         import logging
diff --git a/testing/mozharness/scripts/release/beet_mover.py b/testing/mozharness/scripts/release/beet_mover.py
index 0f3c187530..60b4d549b3 100755
--- a/testing/mozharness/scripts/release/beet_mover.py
+++ b/testing/mozharness/scripts/release/beet_mover.py
@@ -364,7 +364,7 @@ class BeetMover(BaseScript, VirtualenvMixin, object):
     def mime_fix(self):
         """ Add mimetypes for custom extensions """
         mimetypes.init()
-        map(lambda (ext, mime_type,): mimetypes.add_type(mime_type, ext), MIME_MAP.items())
+        list(map(lambda ext_mime_type: mimetypes.add_type(ext_mime_type[1], ext_mime_type[0]), list(MIME_MAP.items())))
 
 if __name__ == '__main__':
     beet_mover = BeetMover(pop_aws_auth_from_env())
diff --git a/testing/mozharness/scripts/release/generate-checksums.py b/testing/mozharness/scripts/release/generate-checksums.py
index 61a1c43d25..d05aab7bbf 100644
--- a/testing/mozharness/scripts/release/generate-checksums.py
+++ b/testing/mozharness/scripts/release/generate-checksums.py
@@ -204,7 +204,7 @@ class ChecksumsGenerator(BaseScript, VirtualenvMixin, SigningMixin, VCSMixin, Bu
         pool.map(worker, find_checksums_files())
 
         for c in raw_checksums:
-            for f, info in parse_checksums_file(c).iteritems():
+            for f, info in parse_checksums_file(c.items()):
                 for pattern in self.config["includes"]:
                     if re.search(pattern, f):
                         if f in self.checksums:
diff --git a/testing/mozharness/scripts/release/postrelease_bouncer_aliases.py b/testing/mozharness/scripts/release/postrelease_bouncer_aliases.py
index 78a60b4bc5..ac7eb8c662 100644
--- a/testing/mozharness/scripts/release/postrelease_bouncer_aliases.py
+++ b/testing/mozharness/scripts/release/postrelease_bouncer_aliases.py
@@ -91,10 +91,10 @@ class PostReleaseBouncerAliases(BaseScript, VirtualenvMixin, BuildbotMixin):
         credentials_file = os.path.join(os.getcwd(),
                                         self.config['credentials_file'])
         credentials = {}
-        execfile(credentials_file, credentials)
+        exec(compile(open(credentials_file, "rb").read(), credentials_file, 'exec'), credentials)
         auth = (credentials['tuxedoUsername'], credentials['tuxedoPassword'])
         version = self.config['version']
-        for product, info in self.config["products"].iteritems():
+        for product, info in self.config["products"].items():
             if "alias" in info:
                 product_template = info["product-name"]
                 related_product = product_template % {"version": version}
